List your reprice runs
Lists your reprice runs, newest first, with the same shape as GET /v1/inventory/reprice/runs/{runId}. Page with pagination.nextCursor.
Requires the listings:read scope.
Query Parameters
- Type: stringcursormin length:1
The
pagination.nextCursorof the previous page. - Type: integerlimitmin:1max:100
Integer numbers.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/inventory/reprice/runs
curl 'https://public-api.cardnexus.com/v1/inventory/reprice/runs?limit=25' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": [
{
"id": "6717a4e2c1b0d9e8f7a6b5c4",
"status": "ready",
"phase": "draft",
"region": "eu",
"currency": "EUR",
"scope": {
"kind": "group",
"group": "way-above",
"set": null,
"inventoryIds": null,
"filtered": false
},
"level": {
"kind": "sell-fast",
"percent": null
},
"direction": "down",
"floor": null,
"alsoList": {
"enabled": false,
"minMarketValue": 2
},
"total": 2051,
"processed": 2051,
"counters": {
"down": 2045,
"up": 0,
"new": 0,
"becomesPromoted": 1380,
"bigChange": 412,
"leftOut": 6,
"delta": {
"amount": -22500,
"currency": "EUR"
},
"applied": 0,
"sold": 0,
"changed": 0,
"restored": 0,
"notRestored": 0
},
"stats": {
"noMarket": 0,
"blocked": 0,
"same": 0,
"listedValueBefore": {
"amount": 124000,
"currency": "EUR"
},
"listedValueAfter": {
"amount": 101500,
"currency": "EUR"
},
"promotedBefore": 1450,
"promotedAfter": 2830
},
"createdAt": "2026-10-22T09:20:00.000Z",
"readyAt": "2026-10-22T09:20:04.000Z",
"expiresAt": "2026-10-23T09:20:04.000Z",
"appliedAt": null,
"undoUntil": null,
"undoneAt": null,
"error": null,
"canRetry": false,
"supersededBy": null,
"webUrl": "https://cardnexus.com/reprice/6717a4e2c1b0d9e8f7a6b5c4"
}
],
"pagination": {
"nextCursor": "string"
}
}